JUCE: AccessibleState Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
AccessibleState Class Reference
juce_gui_basics » accessibility

Represents the state of an accessible UI element. More...

`#include <juce_AccessibilityState.h>`

## Public Member Functions
| AccessibleState ()=default
| Constructor.
AccessibleState | withCheckable () const noexcept
| Sets the checkable flag and returns the new state.
AccessibleState | withChecked () const noexcept
| Sets the checked flag and returns the new state.
AccessibleState | withCollapsed () const noexcept
| Sets the collapsed flag and returns the new state.
AccessibleState | withExpandable () const noexcept
| Sets the expandable flag and returns the new state.
AccessibleState | withExpanded () const noexcept
| Sets the expanded flag and returns the new state.
AccessibleState | withFocusable () const noexcept
| Sets the focusable flag and returns the new state.
AccessibleState | withFocused () const noexcept
| Sets the focused flag and returns the new state.
AccessibleState | withIgnored () const noexcept
| Sets the ignored flag and returns the new state.
AccessibleState | withSelectable () const noexcept
| Sets the selectable flag and returns the new state.
AccessibleState | withMultiSelectable () const noexcept
| Sets the multiSelectable flag and returns the new state.
AccessibleState | withSelected () const noexcept
| Sets the selected flag and returns the new state.
AccessibleState | withAccessibleOffscreen () const noexcept
| Sets the accessible offscreen flag and returns the new state.
bool | isCheckable () const noexcept
| Returns true if the UI element is checkable.
bool | isChecked () const noexcept
| Returns true if the UI element is checked.
bool | isCollapsed () const noexcept
| Returns true if the UI element is collapsed.
bool | isExpandable () const noexcept
| Returns true if the UI element is expandable.
bool | isExpanded () const noexcept
| Returns true if the UI element is expanded.
bool | isFocusable () const noexcept
| Returns true if the UI element is focusable.
bool | isFocused () const noexcept
| Returns true if the UI element is focused.
bool | isIgnored () const noexcept
| Returns true if the UI element is ignored.
bool | isMultiSelectable () const noexcept
| Returns true if the UI element supports multiple item selection.
bool | isSelectable () const noexcept
| Returns true if the UI element is selectable.
bool | isSelected () const noexcept
| Returns true if the UI element is selected.
bool | isAccessibleOffscreen () const noexcept
| Returns true if the UI element is accessible offscreen.

## Detailed Description

Represents the state of an accessible UI element.

An instance of this class is returned by `AccessibilityHandler::getCurrentState()` to convey its current state to an accessibility client.

See also
  AccessibilityHandler

## Constructor & Destructor Documentation

## ◆ AccessibleState()

AccessibleState::AccessibleState | ( |  | ) |
| default

Constructor.

Represents a "default" state with no flags set. To set a flag, use one of the `withX()` methods - these can be chained together to set multiple flags.

## Member Function Documentation

## ◆ withCheckable()

AccessibleState AccessibleState::withCheckable | ( |  | ) | const
| noexcept

Sets the checkable flag and returns the new state.

See also
  isCheckable

## ◆ withChecked()

AccessibleState AccessibleState::withChecked | ( |  | ) | const
| noexcept

Sets the checked flag and returns the new state.

See also
  isChecked

## ◆ withCollapsed()

AccessibleState AccessibleState::withCollapsed | ( |  | ) | const
| noexcept

Sets the collapsed flag and returns the new state.

See also
  isCollapsed

## ◆ withExpandable()

AccessibleState AccessibleState::withExpandable | ( |  | ) | const
| noexcept

Sets the expandable flag and returns the new state.

See also
  isExpandable

## ◆ withExpanded()

AccessibleState AccessibleState::withExpanded | ( |  | ) | const
| noexcept

Sets the expanded flag and returns the new state.

See also
  isExpanded

## ◆ withFocusable()

AccessibleState AccessibleState::withFocusable | ( |  | ) | const
| noexcept

Sets the focusable flag and returns the new state.

See also
  isFocusable

## ◆ withFocused()

AccessibleState AccessibleState::withFocused | ( |  | ) | const
| noexcept

Sets the focused flag and returns the new state.

See also
  isFocused

## ◆ withIgnored()

AccessibleState AccessibleState::withIgnored | ( |  | ) | const
| noexcept

Sets the ignored flag and returns the new state.

See also
  isIgnored

## ◆ withSelectable()

AccessibleState AccessibleState::withSelectable | ( |  | ) | const
| noexcept

Sets the selectable flag and returns the new state.

See also
  isSelectable

## ◆ withMultiSelectable()

AccessibleState AccessibleState::withMultiSelectable | ( |  | ) | const
| noexcept

Sets the multiSelectable flag and returns the new state.

See also
  isMultiSelectable

## ◆ withSelected()

AccessibleState AccessibleState::withSelected | ( |  | ) | const
| noexcept

Sets the selected flag and returns the new state.

See also
  isSelected

## ◆ withAccessibleOffscreen()

AccessibleState AccessibleState::withAccessibleOffscreen | ( |  | ) | const
| noexcept

Sets the accessible offscreen flag and returns the new state.

See also
  isSelected

## ◆ isCheckable()

bool AccessibleState::isCheckable | ( |  | ) | const
| noexcept

Returns true if the UI element is checkable.

See also
  withCheckable

## ◆ isChecked()

bool AccessibleState::isChecked | ( |  | ) | const
| noexcept

Returns true if the UI element is checked.

See also
  withChecked

## ◆ isCollapsed()

bool AccessibleState::isCollapsed | ( |  | ) | const
| noexcept

Returns true if the UI element is collapsed.

See also
  withCollapsed

## ◆ isExpandable()

bool AccessibleState::isExpandable | ( |  | ) | const
| noexcept

Returns true if the UI element is expandable.

See also
  withExpandable

## ◆ isExpanded()

bool AccessibleState::isExpanded | ( |  | ) | const
| noexcept

Returns true if the UI element is expanded.

See also
  withExpanded

## ◆ isFocusable()

bool AccessibleState::isFocusable | ( |  | ) | const
| noexcept

Returns true if the UI element is focusable.

See also
  withFocusable

## ◆ isFocused()

bool AccessibleState::isFocused | ( |  | ) | const
| noexcept

Returns true if the UI element is focused.

See also
  withFocused

## ◆ isIgnored()

bool AccessibleState::isIgnored | ( |  | ) | const
| noexcept

Returns true if the UI element is ignored.

See also
  withIgnored

## ◆ isMultiSelectable()

bool AccessibleState::isMultiSelectable | ( |  | ) | const
| noexcept

Returns true if the UI element supports multiple item selection.

See also
  withMultiSelectable

## ◆ isSelectable()

bool AccessibleState::isSelectable | ( |  | ) | const
| noexcept

Returns true if the UI element is selectable.

See also
  withSelectable

## ◆ isSelected()

bool AccessibleState::isSelected | ( |  | ) | const
| noexcept

Returns true if the UI element is selected.

See also
  withSelected

## ◆ isAccessibleOffscreen()

bool AccessibleState::isAccessibleOffscreen | ( |  | ) | const
| noexcept

Returns true if the UI element is accessible offscreen.

See also
  withSelected

The documentation for this class was generated from the following file:

- juce_AccessibilityState.h